<@form.element
  @controlType="power-select"
  @onChange={{this.setAsset}}
  @options={{this.cryptoCurrencies}}
  @value={{this.asset}}
  @label={{t "components.crypto.form.currency-selector.label"}}
  as |el|
>
  {{#if this.task.isRunning}}
    <ContentLoader::FormControl />
  {{else if this.task.isSuccessful}}
    <el.control
      @noMatchesMessage={{t "components.crypto.form.currency-selector.no-results"}}
      @placeholder={{t "components.crypto.form.currency-selector.placeholder"}}
      @search={{this.searchCryptoCurrencies}}
      @searchEnabled={{true}}
      @searchMessage={{t "components.crypto.form.currency-selector.search"}}
      as |cryptoCurrency|
    >
      {{cryptoCurrency.name}}
      ({{cryptoCurrency.symbol}})
    </el.control>
  {{else if this.task.isError}}
    <BsButton @onClick={{this.fetchCryptos}} @outline={{true}} @type="danger" class="form-control is-invalid">{{t
        "components.crypto.form.currency-selector.retry"
      }}</BsButton>
    <div class="invalid-feedback">{{t "components.crypto.form.currency-selector.invalid-feedback"}}</div>
  {{/if}}

</@form.element>